# coorpacademy-core

[![Build Status](https://travis-ci.org/CoorpAcademy/coorpacademy-core.svg)](https://travis-ci.org/CoorpAcademy/coorpacademy-core)
[![Coverage Status](https://coveralls.io/repos/CoorpAcademy/coorpacademy-core/badge.svg?branch=master)](https://coveralls.io/r/CoorpAcademy/coorpacademy-core?branch=master)

Core libraries for coorpacademy projects

* manage email sending
* SAML claim types
* Bugsnag crash collection

# Commands
* npm test : run mocha tests
* npm run cov : generate html and lcov reports

# Changes
* 1.1.0 :
    * Email.SendTemplate has been deprecated and returns a Promise
    * Email.getTemplateMessage returns a promise
    * Email.send is deprecated, use sendAsync which returns a Promise
* 1.1.1
    * Error: shasum check failed
* 1.1.2
    * Fix passing image to mandrill in message
* 1.1.3
    * Change social and header placeholder type
* 1.2.0
    * Email: Add a default GMAIL_ACTION value, based on the CALL2ACTION and HREF_CALL2ACTION fields
